# This file is sourced by bin/catalina.sh and contains environment variables
# to configure tomcat.

# ---------------------------------------------------------------------------
# Kinetica config

# Uncomment this if we want to always have catalina use a pid file,
# which helps guard against duplicate starts and allows forceful termination.
#export CATALINA_PID="$PRGDIR/../logs/catalina-$HOSTNAME.pid"

# Tomcat is stable enough to run on its own.
export USE_NOHUP=true

# Add hostname to the log filenames to support multiple hosts sharing the same drive.
# See usage of ${tomcat.hostname} in server.xml and logging.properties.
THIS_HOSTNAME="$(hostname)"
export CATALINA_OPTS="$CATALINA_OPTS -Dtomcat.hostname=$THIS_HOSTNAME"
export CATALINA_OUT="$CATALINA_BASE/logs/catalina-$THIS_HOSTNAME.out"

# ---------------------------------------------------------------------------
