![Logo](https://bitbucket.org/gisfederal/kml/raw/master/assets/logo_kml.png)

**Kinetica Machine Learning Utilities**

The following shell scripts are included with Active Analytics Workbench as
Kubernetes infrastructure diagnostic tools:


**kwhich**
Display Kubernetes head node IP for the user of the shell, gpudb user and any
custom kube config specified in the api ini file.

**kmon**
Display a monitor of running deployments, jobs, services and pods (default).

**kdesc**
Display Kubernetes metadata (describe) for running pod.

**klog**
Display standard output for a specified pod or a pod based on an AAW deployment ID.

**kpurge**
Remove all running deployments, jobs and pods from the selected namespace of a
selected cluster.

**kk**
Wrapper for Kubetail with inteligent defaults and the ability to pull the kubeconfig
kubernetes namespace from the kml.ini config file.

**kubetail**
Tail output logs (stdout) from all running pods as a stream with color coding
differentiation. This utility is included under the terms of the Apache 2.0 license
more information at [https://github.com/johanhaleby/kubetail]. 
